### Function

# GObject type_remove_interface_check

since: 2.4

#### Declaration

    void
    g_type_remove_interface_check (
      gpointer check_data,
      GTypeInterfaceCheckFunc check_func
    )

#### Description

Removes an interface check function added with g_type_add_interface_check().

Available since: 2.4

This function is not directly available to language bindings.

#### Parameters

`check_data`

  Type: `gpointer`

  Callback data passed to g_type_add_interface_check().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`check_func`

  Type: `GTypeInterfaceCheckFunc`

  Callback function passed to g_type_add_interface_check().